### Method

# Secret Item delete_finish

#### Declaration [src]

    gboolean
    secret_item_delete_finish (
      SecretItem* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to delete the secret item.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the item was successfully deleted or not.